Name: phun
Version: 3.12
Release: alt1

Summary: A fun 2D physics playground
License: Free for non-commercial use
Group: Games/Educational

Url: http://www.acc.umu.se/~emilk/
Source: %url/files/Phun_beta_3_12_linux32.tar.bz2
Source1: %name.sh
Source2: %name.desktop
Packager: Michael Shigorin <mike@altlinux.org>

# there's a binary for 64-bit Linux as well but...
ExclusiveArch: %ix86

# Automatically added by buildreq on Wed Feb 27 2008
BuildRequires: chrpath

# builds on 4.0/branch without this, bails out on sisyphus
%set_verify_elf_method none

# had to add by hand from a package built on branch
Requires: libGL.so.1 libGLEW.so.1.3 libGLU.so.1 libSDL-1.2.so.0 libSDL_image-1.2.so.0

%define phunroot %_libexecdir/%name

%description
Phun is meant to be a playground where people can be creative.
It can also be used as an educational tool to learn about physics
concepts such as restitution and friction.

%prep
%setup -n Phun

%build
rm -f Logfile.txt Unlogged.txt
rm -f libGLEW.so.1.3 libSDL_image-1.2.so.0
chrpath -r %phunroot %name

%install
# yep, it won't be able to write its own config
install -d %buildroot%phunroot/
cp -a %name *.cfg %buildroot%phunroot/
cp -a libboost_filesystem.so */ %buildroot%phunroot/
install -pD -m755 %SOURCE1 %buildroot%_bindir/%name
install -pD -m644 %SOURCE2 %buildroot%_desktopdir/%name.desktop

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_desktopdir/*
%phunroot/
%doc *.txt

%changelog
* Wed Feb 27 2008 Michael Shigorin <mike@altlinux.org> 3.12-alt1
- initial package
  + had to disable check for unresolved symbols for Sisyphus
- see these links for additional info (also on distribution):
  http://www.acc.umu.se/~emilk/about.html
  http://www.acc.umu.se/~emilk/faq.html

